<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('name')->unique();
            $table->unsignedBigInteger('fish_type_id');
            $table->foreign('fish_type_id')->references('id')->on('fish_types')->onDelete('cascade');
            $table->string('image');
            $table->text('description');
            $table->tinyInteger('content')->nullable();
            $table->tinyInteger('status')->default(1); // 1 active 0 not active
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
};
